com.ibm.openpages.api.respview

## Interface IRespViewSection

-     public interface IRespViewSection

  Represents a section of responsive view

  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCollapsed()` Returns the collapsed state of the responsive view section
    `java.util.List<IRespViewField>` | `getFields()` Returns the list of responsive view fields
    `java.lang.String` | `getName()` Returns name of the responsive view section
    `java.lang.String` | `getNameLabel()` Returns the localized name label of the section for the user session
    `java.util.List<ILabel>` | `getNameLabels()` Returns the responsive view section name labels for all locales
    `void` | `setCollapsed(java.lang.Boolean collapsed)` Sets the collapsed state of the responsive view section
    `void` | `setFields(java.util.List<IRespViewField> fields)` Sets the list of responsive view fields
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of responsive view section name labels

- - ### Method Detail

    - #### getFields

          java.util.List<IRespViewField> getFields()

      Returns the list of responsive view fields
      Returns:
        the list of `IRespViewField`

    - #### setFields

          void setFields(java.util.List<IRespViewField> fields)

      Sets the list of responsive view fields
      Parameters:
        `fields` -

    - #### getName

          java.lang.String getName()

      Returns name of the responsive view section
      Returns:
        name of the responsive view section

    - #### getNameLabel

          java.lang.String getNameLabel()

      Returns the localized name label of the section for the user session
      Returns:
        the localized name label as a string

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the responsive view section name labels for all locales
      Returns:
        `ILabel` the responsive view section name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of responsive view section name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getCollapsed

          java.lang.Boolean getCollapsed()

      Returns the collapsed state of the responsive view section
      Returns:
        the collapsed state of the responsive view section

    - #### setCollapsed

          void setCollapsed(java.lang.Boolean collapsed)

      Sets the collapsed state of the responsive view section
      Parameters:
        `collapse` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.